%define aurox_ver 9.4
%define rel 4

%define kde_version 3.2

%define desktop_vendor kde

Summary: Interpreter of the LOGO language for KDE desktops
Name: klogoturtle
Version: 0.6
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: Applications/Education
Source0: %{name}-%{version}.tar.gz
URL: http://klogoturtle.sourceforge.net/

Requires: kdelibs >= 6:%{kde_version}

BuildRequires: kdelibs-devel >= 6:%{kde_version}
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
The KLogo-Turtle is a interpreter of the LOGO language for KDE desktops.

The KLogo-Turtle is a useful tool for teaching geometry and principles 
basics of the programming of computer. Childrens can use it to study 
mathematic of mode grasping and constructive.

KLogo-Turtle support commands in the several languages.


%prep
%setup -q

%build
%configure \
	--enable-final 
make

%install
%makeinstall

#echo "Comment[pl]=" >> %{buildroot}%{_datadir}/applications/kde/%{name}.desktop
desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Aurox-Extra                                    \
  --add-category X-KDE-Base                                       \
  --add-category Application                                      \
  --add-category Education					  \
  %{buildroot}%{_datadir}/applnk/Applications/%{name}.desktop

rm -rf %{buildroot}%{_datadir}/applnk

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING README TODO ChangeLog
%{_bindir}/%{name}
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/*
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/doc/HTML/*/%{name}/*

%changelog
* Thu Apr 22 2004 Aurox Team <aurox@aurox.org> 0:0.6-9.4.aur.4
- require kdelibs 3.2
- rebuild with KDE 3.2.2
- do not require kdebase

* Tue Jan 20 2004 Robert Glowczynski <robertg@aurox.org> - 0.6
- initial spec
